CUDA Runtime API (PDF) - v11.0.207 (older) - Last updated June 29, 2020 - Send Feedback

## 6.12. cudaExternalSemaphoreSignalParams Struct Reference

## [Data types used by CUDA Runtime]

External semaphore signal parameters

### Public Variables

void * fence
cudaExternalSemaphoreSignalParams::@10::@11 fence
unsigned int flags
cudaExternalSemaphoreSignalParams::@10::@13 keyedMutex
unsigned long long value

### Variables

void * cudaExternalSemaphoreSignalParams::fence [inherited]

  Pointer to NvSciSyncFence. Valid if cudaExternalSemaphoreHandleType is of type cudaExternalSemaphoreHandleTypeNvSciSync.

cudaExternalSemaphoreSignalParams::@10::@11 cudaExternalSemaphoreSignalParams::fence [inherited]

  Parameters for fence objects

unsigned int cudaExternalSemaphoreSignalParams::flags [inherited]

  Only when cudaExternalSemaphoreSignalParams is used to signal a cudaExternalSemaphore_t of type cudaExternalSemaphoreHandleTypeNvSciSync, the valid flag is cudaExternalSemaphoreSignalSkipNvSciBufMemSync: which indicates that while signaling the cudaExternalSemaphore_t, no memory synchronization operations should be performed for any external memory object imported as cudaExternalMemoryHandleTypeNvSciBuf. For all other types of cudaExternalSemaphore_t, flags must be zero.

cudaExternalSemaphoreSignalParams::@10::@13 cudaExternalSemaphoreSignalParams::keyedMutex [inherited]

  Parameters for keyed mutex objects

unsigned long long cudaExternalSemaphoreSignalParams::value [inherited]

  Value of fence to be signaled